<?php
//echo "<h1>dir:" . getcwd() . "</h1>";
/* Establecemos la funci�n de manejo de errores */
//set_error_handler('saphoo_error');

/* Activamos el soporte de sesiones mediante cookies */
if (ini_get('session.use_cookies') == 0){
    ini_set('session.use_cookies',1);
}
    
/* Incluimos el fichero de configuraci�n del PROYECTO */
require_once ('./config.inc.php');
    
/* Iniciamos las variables de entorno de conexi�n a un servidor SMTP */
if (SPH_USUARIOEMAIL != ''){
    ini_set('SMTP',SPH_SERVIDOREMAIL);
    ini_set('SMTP_FROM',SPH_EMAIL);
}
    
/* Ruta del directorio de control de SAPHOO */
define('SPH_RUTACONTROL', 'control/');
    
/* Incluimos el fichero de control de flujo general de SAPHOO */
require_once (SPH_RUTASAPHOO . SPH_RUTACONTROL . 'control.inc.php');
    
/* Funci�n de manejo de errores */
function saphoo_error($errno,$errstr) {
    
    switch ($errno) {
        case 1:
            echo '<hr><b>PHP ERROR</b> [$errno] $errstr<hr>';
            echo '  Fatal error in line '.__LINE__.' of file '.__FILE__;
            echo ', PHP '.PHP_VERSION.' ('.PHP_OS.')';
            echo 'Aborting...';
            exit -1;
            break;
        case 2:
            echo "<hr><b>WARNING</b> [$errno] $errstr<hr>";
            break;
        case 4:
            echo "<hr><b>PARSING ERROR</b> [$errno] $errstr<hr>";
            break;
        case 8:
            //echo "<hr><b>NOTICE</b> [$errno] $errstr<hr>";
            break;
        case 16:
            echo "<hr><b>CORE WARNING</b> [$errno] $errstr<hr>";
            break;
        case 32:
            echo "<hr><b>CORE ERROR</b> [$errno] $errstr<hr>";
            break;
        case 64:
            echo "<hr><b>COMPILE ERROR</b> [$errno] $errstr<hr>";
            break;
        case 128:
            echo "<hr><b>COMPILE WARNING</b> [$errno] $errstr<hr>";
            break;
        case 256:
            echo "<hr><b>USER ERROR</b> [$errno] $errstr<hr>";
            break;
        case 512:
            echo "<hr><b>USER WARNING</b> [$errno] $errstr<hr>";
            break;
        case 1024:
            //echo "<b>USER NOTICE</b> [$errno] $errstr<hr>";
            break;
        default:
            //echo "<hr><b>UNKOWN ERROR</b> [$errno] $errstr<hr>";
            break;
    }
    return;
}
    
?>